Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pulling.executing
Class ServerSideExecuter_BuiltIn

    java.lang.Object
      pulling.executing.ServerSideExecuter
          pulling.executing.ServerSideExecuter_BuiltIn

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class ServerSideExecuter_BuiltIn

extends ServerSideExecuter
implements java.lang.Runnable

See Also:
  Serialized Form

Field Summary

Fields inherited from class pulling.executing.ServerSideExecuter
`NOT_IMPLEMENTED`

Constructor Summary
`ServerSideExecuter_BuiltIn(java.lang.String mapperHostName)`

Method Summary
`long` | `deleteJob(long id, java.lang.String hostname, java.lang.String password)` This method deletes the job with id "id" on hostname "hostname"\
`int` | `getCompletionServerPort()`
`java.lang.String` | `getDateStarted(long id, java.lang.String hostname, java.lang.String password)`
`java.lang.String` | `getDateStopped(long id, java.lang.String hostname, java.lang.String password)`
`double` | `getDateSubmitted(long id, java.lang.String hostname, java.lang.String password)`
`java.lang.String` | `getHostName()`
`java.lang.String` | `getJobStatus(long id, java.lang.String hostname, java.lang.String password)`
`java.lang.String` | `getMapperHostName()`
`java.lang.String` | `getPassword()`
`double` | `getPercentageDone(long id, java.lang.String hostname, java.lang.String password)`
`int` | `getServerID()`
`int` | `getServerPort()`
`boolean` | `isAlive()`
`void` | `loop(int iterations, double ratio, long ExecutionLayerID)`
`static void` | `main(java.lang.String[] args)`
`void` | `notifyMapper(long ExecutionLayerID)`
`void` | `run()`
`void` | `setAlive(boolean alive)`
`void` | `setCompletionServerPort(int completionServerPort)`
`void` | `setHostName(java.lang.String hostname)`
`void` | `setMapperHostName(java.lang.String mapperHostName)`
`void` | `setPassword(java.lang.String password)`
`void` | `setServerID(int serverID)`
`void` | `setServerPort(int serverPort)`
`void` | `startExecuter()` In this method the executer is set up.
`void` | `stopExecuter()` In this method the executer is stopped and streams are closed
`long` | `stopJob(long id, java.lang.String hostname, java.lang.String password)` This method stops the job with id "id" on hostname "hostname"\
`long` | `submitLoopJob(java.lang.String hostName, java.lang.String password, java.lang.String workingDirectory, long iter, double ratio)` This method is used by the Mapper to submit loop jobs

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerSideExecuter_BuiltIn

    public ServerSideExecuter_BuiltIn(java.lang.String mapperHostName)

Method Detail

### isAlive

    public boolean isAlive()

### setAlive

    public void setAlive(boolean alive)

### getServerPort

    public int getServerPort()

### setServerPort

    public void setServerPort(int serverPort)

### getHostName

    public java.lang.String getHostName()

### setHostName

    public void setHostName(java.lang.String hostname)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getServerID

    public int getServerID()

### setServerID

    public void setServerID(int serverID)

### getMapperHostName

    public java.lang.String getMapperHostName()

### setMapperHostName

    public void setMapperHostName(java.lang.String mapperHostName)

### getCompletionServerPort

    public int getCompletionServerPort()

### setCompletionServerPort

    public void setCompletionServerPort(int completionServerPort)

### startExecuter

    public void startExecuter()

  Description copied from class: `ServerSideExecuter`
  In this method the executer is set up.

  Specified by:
    `startExecuter` in class `ServerSideExecuter`

### stopExecuter

    public void stopExecuter()

  Description copied from class: `ServerSideExecuter`
  In this method the executer is stopped and streams are closed

  Specified by:
    `stopExecuter` in class `ServerSideExecuter`

### deleteJob

    public long deleteJob(long id,
                          java.lang.String hostname,
                          java.lang.String password)

  Description copied from class: `ServerSideExecuter`
  This method deletes the job with id "id" on hostname "hostname"\

  Specified by:
    `deleteJob` in class `ServerSideExecuter`
  Parameters:
    `id` - is job id
    `hostname` - is the hostname of the server executing that job
  Returns:
    NOT_IMPLEMENTED if not implemented

### getDateStarted

    public java.lang.String getDateStarted(long id,
                                           java.lang.String hostname,
                                           java.lang.String password)

  Specified by:
    `getDateStarted` in class `ServerSideExecuter`
  Parameters:
    `id` - is job id
    `hostname` - is the hostname of the server executing that job.
  Returns:
    the date when the job with id "id" has started.

### getDateStopped

    public java.lang.String getDateStopped(long id,
                                           java.lang.String hostname,
                                           java.lang.String password)

  Specified by:
    `getDateStopped` in class `ServerSideExecuter`
  Parameters:
    `id` - is job id
    `hostname` - is the hostname of the server executing that job
  Returns:
    the date when the job with id "id" has stopped.

### getDateSubmitted

    public double getDateSubmitted(long id,
                                   java.lang.String hostname,
                                   java.lang.String password)

  Specified by:
    `getDateSubmitted` in class `ServerSideExecuter`
  Parameters:
    `id` - is job id
    `hostname` - is the hostname of the server executing that job.
  Returns:
    the date when the job with id "id" has submitted to the execution layer.

### getJobStatus

    public java.lang.String getJobStatus(long id,
                                         java.lang.String hostname,
                                         java.lang.String password)

  Specified by:
    `getJobStatus` in class `ServerSideExecuter`
  Parameters:
    `id` - is job id
    `hostname` - is the hostname of the server executing that job
  Returns:
    the status of the job with id "id" (e.g. Runnung, Done)

### getPercentageDone

    public double getPercentageDone(long id,
                                    java.lang.String hostname,
                                    java.lang.String password)

  Specified by:
    `getPercentageDone` in class `ServerSideExecuter`
  Parameters:
    `id` - is job id
    `hostname` - is the hostname of the server executing that job
  Returns:
    the percentage done from job with job id "id"

### stopJob

    public long stopJob(long id,
                        java.lang.String hostname,
                        java.lang.String password)

  Description copied from class: `ServerSideExecuter`
  This method stops the job with id "id" on hostname "hostname"\

  Specified by:
    `stopJob` in class `ServerSideExecuter`
  Parameters:
    `id` - is job id
    `hostname` - is the hostname of the server executing that job
  Returns:
    NOT_IMPLEMENTED if not implemented

### submitLoopJob

    public long submitLoopJob(java.lang.String hostName,
                              java.lang.String password,
                              java.lang.String workingDirectory,
                              long iter,
                              double ratio)

  Description copied from class: `ServerSideExecuter`
  This method is used by the Mapper to submit loop jobs

  Specified by:
    `submitLoopJob` in class `ServerSideExecuter`
  Parameters:
    `hostName` - The hostname of the Server object to send the job to.
    `password` - The password of the Server object to send the job to.
    `iter` - The iterations of the job.
    `ratio` - The ratio of the jobs.
  Returns:
    a number. It depends on the implementation.

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### loop

    public void loop(int iterations,
                     double ratio,
                     long ExecutionLayerID)

### main

    public static void main(java.lang.String[] args)

### notifyMapper

    public void notifyMapper(long ExecutionLayerID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD